ok0=find(num0>0);
okA=find(numA>0);
okB=find(numB>0);
okC=find(numC>0);
e0 = (pub0(ok0)-plb0(ok0)) / 2;
eA = (pubA(okA)-plbA(okA)) / 2;
eB = (pubB(okB)-plbB(okB)) / 2;
eC = (pubC(okC)-plbC(okC)) / 2;
y0 = pub0(ok0)-e0;
yA = pubA(okA)-eA;
yB = pubB(okB)-eB;
yC = pubC(okC)-eC;

% Version with plotting upper and lower bounds
plot(ok0-1,pub0(ok0),'r',okA-1,pubA(okA),'k',okB-1,pubB(okB),'b',okC-1,pubC(okC),'c',ok0-1,plb0(ok0),'r',okA-1,plbA(okA),'k',okB-1,plbB(okB),'b',okC-1,plbC(okC),'c');
legend('Variance=0',sprintf('Variance=%d',varA),sprintf('Variance=%d',varB),sprintf('Variance=%d',varC))
xlabel('time (t)')
ylabel('P(\theta=\delta\mid\tau=t)');
title('Upper and lower bounds on P(\theta=\delta\mid\tau=t)');

% Version with plotting errorbars all on one plot
%hold on
%errorbar(ok0-1,y0,e0,'k');
%errorbar(okA-1,yA,eA,'k');
%errorbar(okB-1,yB,eB,'b');
%errorbar(okC-1,yC,eC,'c');

% Version with everything in its own little subplot
%subplot(4,1,1);
%errorbar(ok0-1,y0,e0);
%title('Variance=0');
%subplot(4,1,2);
%errorbar(okA-1,yA,eA);
%title(sprintf('Variance=%d',varA));
%subplot(4,1,3);
%errorbar(okB-1,yB,eB);
%ylabel('P(\theta=\delta\mid\tau=t)');
%title(sprintf('Variance=%d',varB));
%subplot(4,1,4);
%errorbar(okC-1,yC,eC);
%title(sprintf('Variance=%d',varC));
%xlabel('Response Time');
