q0=.45;
q1=.55;
nchunks=1000;
p = fromchunk([1:nchunks],nchunks);
d=.4;
T=50;
Pdead5=GammaDeadlinePdead(20,5,T);
t=17;
c=.02;
[V10,Qgo10,Qstop10,window_lb10,window_ub10] = TabularTimingUncertainty(T,Pdead5,c,d,q0,q1,nchunks);
set(gca,'FontWeight','bold','FontSize',24)
pdeadt = Pdead5(t) - Pdead5(t-1);
adjustment = c+(d-min(p,1-p)) * pdeadt;
plot(p,Qgo10(t+1,:)-adjustment,'-.k',p,Qgo10(t,:),'--b',p,Qstop10(t,:),'-r')
%hl=legend('$Q(t+1,p)-(\bar{Q}(t+1,p)-\bar{Q}(t,p))$','$Q(t,p)$','$\bar{Q}(t,p)$');
%hl=legend('$Q(t+1,p)-\bar{Q}(t+1,p)+\bar{Q}(t,p)$','$Q(t,p)$','$\bar{Q}(t,p)$');
hl=legend('$Q(t+1,p)$-adjustment','$Q(t,p)$','$\bar{Q}(t,p)$');
%set(hl,'FontSize',20);
set(hl,'Interp','latex','Location','Northwest')
legend(hl,'boxoff')
