function CompareBernoulliConfidenceBounds(n)
    for x=0:n
        [phat,pci]=binofit(x,n);
        clb(x+1) = pci(1);
        cub(x+1) = pci(2);
        blb(x+1) = betainv(.025,x+1,(n-x)+1);
        bub(x+1) = betainv(.975,x+1,(n-x)+1);
    end
    plot([0:n],clb,'k',[0:n],blb,'b',[0:n],cub,'k',[0:n],bub,'b');
    legend('classical','bayesian');
    xlabel('Number of successes observed');
    ylabel('Bounds of probability of success');
end