function [lb, ub] = FrequentistBernoulliConfidenceInterval(successes, trials)
    if (trials == 0)
        lb = 0;
        ub = 1;
    else
        [phat,pci]=binofit(successes,trials);
        lb = pci(1);
        ub = pci(2);
    end
end