
% Actual plots.  Run plot6a first.
hold on
set(gca,'FontSize',24,'FontWeight','bold')
% If we want to plot P(\tau\le t), use this
% tauh = plot([0:T0],cumsum(num0([0:T0]+1))/nsamples,'-k',[0:T0],cumsum(numA([0:T0]+1))/nsamples,'--k',[0:T0],cumsum(numB([0:T0]+1))/nsamples,'-.k');
%If we want to plot P(\tau = t), use this
%tauh = plot(ok0-1,num0(ok0)/nsamples,'-k',okA-1,numA(okA)/nsamples,'--k',okB-1,numB(okB)/nsamples,'-.k');

windowh = plot([0:T0],lb0,'-b',[0:TA],lbA,'--b',[0:TB],lbB,'-.b',[0:T0],ub0,'-b',[0:TA],ubA,'--b',[0:TB],ubB,'-.b');

% If we want to plot with errorbars, use this
%hrsp(3) = errorbar(okB-1,yB,eB,'-.r');
%hrsp(2) = errorbar(okA-1,yA,eA,'--r');
%hrsp(1) = errorbar(ok0-1,y0,e0,'-r');
% If we want to plot without errorbars, use this
hrsp = plot(okB-1,yB,'-.r',okA-1,yA,'--r',ok0-1,y0,'-r');

%set(tauh,'LineWidth',2);
set(windowh,'LineWidth',2);
set(hrsp,'LineWidth',2);
%xlabel('Time (t)')
%ylabel('Probability')
hl=legend(windowh(1:3), 'std=0','std=1','std=5');
legend(hl,'boxoff')
%legend(hl,'Location','West');
hold off