clf;
q0=.45;
q1=.55;
nchunks=5*10^2;
p = fromchunk([1:nchunks],nchunks);
d=2;
T=50;
Pdead5=GammaDeadlinePdead(20,5,T);
t=15;
c=.001;
[V10,Qgo10,Qstop10,window_lb10,window_ub10] = TabularTimingUncertainty(T,Pdead5,c,d,q0,q1,nchunks);
set(gca,'FontWeight','bold','FontSize',24)
Ctt=[window_lb10(t+1),window_ub10(t+1)];
Cttheight=Qstop10(t+1,tochunk(Ctt,nchunks));
Ct=[window_lb10(t),window_ub10(t)];
Ctheight=Qstop10(t,tochunk(Ct,nchunks));
hold on
h1 = plot(p,Qgo10(t+1,:)-c,'-k');
h2=plot(p,Qgo10(t,:),'-b');
h3 = plot(p,Qstop10(t,:),'-r');
h4 = plot([Ct(1),Ct(1);Ct(2),Ct(2)]',[0,Ctheight(1);0,Ctheight(2)]','--b');
h5 = plot([Ctt(1),Ctt(1);Ctt(2),Ctt(2)]',[0,Cttheight(1);0,Cttheight(2)]','-.k');
set([h1;h2;h3;h4;h5],'LineWidth',2);
%hl=legend('$Q(t+1,p)-(\bar{Q}(t+1,p)-\bar{Q}(t,p))$','$Q(t,p)$','$\bar{Q}(t,p)$');
%hl=legend('$Q(t+1,p)-\bar{Q}(t+1,p)+\bar{Q}(t,p)$','$Q(t,p)$','$\bar{Q}(t,p)$');
%hl=legend('$Q(t+1,p)-c$','$Q(t,p)$','$\bar{Q}(t,p)$','$C^t','$C^{t+1}$');
set(gca,'ylim',[0 0.55])
hl=legend('$Q(t+1,p)-c$','$Q(t,p)$','$\bar{Q}(t,p)$');
%set(hl,'FontSize',20);
set(hl,'Interp','latex','Location','South')
%legend(hl,'boxoff')
